Soxway Docs
Sub Users

Add traffic to sub-user

Allocate additional traffic from your reseller balance to a sub-user.

POST
/reseller/sub-users/{subId}/traffic/add

Authorization

bearerAuth
AuthorizationBearer <token>

Access token obtained via POST /reseller/access-token using your Reseller Key

In: header

Path Parameters

subId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.soxway.io/reseller/sub-users/0/traffic/add" \  -H "Content-Type: application/json" \  -d '{    "traffic_gb": 2.5  }'
{
  "message": "string",
  "data": {
    "added_traffic_gb": 2.5,
    "new_balance_gb": 7.5,
    "reseller_residential_gb": 0,
    "reseller_mobile_gb": 0,
    "reseller_residential_premium_gb": 0
  }
}
Empty
Empty